#include<bits/stdc++.h>

using namespace std;

int main() {
	
	ios_base::sync_with_stdio(false);
	cin.tie(NULL);
    
    int n;
    long long l;
    
    cin >> n;
    cin >> l;
    
    vector<long long> a (n);
    
    for(int i=0;i<n;i++){
        cin >> a[i];
        
        if(a[i] <= l) {
            cout << i+1;
            return 0;
        }
    }
    
    cout << -1;
    
    return 0;
}